Subject: [dhcwg] Comments to draft-23

From: Tony Lindström (ERA)<[email-masked]>
Date: Tue, 26 Feb 2002 08:39:34 +0100

Hi,

I have some comments on draft-23.

In chapter 16.3, second and third bullets mention checks on Client Identifier.

In chapter 18.2.2 'Creation and transmission of Advertise messages'
Nothing is mention about Client Identifier.
I think a paragraph telling that Client Identifier MUST be added is needed.

In 'A. Appearance of Options in Message Types'
The option RTA is indicated in Advertise, Confirm, Decline, Relese and Reply massege, but according to the option RTA it is stated 'This option MUST only be sent by a client and only in a Solicit, Request, Renew, or Rebind message'. I think the table needs to be updated.

In 'B. Appearance of Options in the Options Field of DHCP Messages'
The option RTA is indicated as encapsulated to an IAADDR but in the option it says, 'It MUST only appear encapsulated within an Identity association option.'
I'm not sure what Client Forw. and Server Forw. mean, but are both relevant to both Client msg and Server msg? (The same comments on 'A. Appearance of Options in Message Types').

In the 'IA Address option' is it possible to move the 'T', 'addr status' and 'prefix length' fields after valid lifetime. I think the handling of the IP address etc. will be easier.

Regards, Tony

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg